PRODUCT=slurp mov pixdiff pix-ik pixt-ik pix-ikr \
	pix-fb fb-pix lowp rock-mov pix-interp dunnsnap dunncolor
IKLIB=/usr/brl/lib/libik.a	# Ikonas stuff
FBLIB=/usr/brl/lib/libfb.a	# Moss's generalized frame buffer stuff
INSTDIR=/usr/brl/sbin

all:	$(PRODUCT)

lowp: lowp.c
	$(CC) $(CFLAGS) lowp.c -o lowp

pix-fb: pix-fb.c
	$(CC) $(CFLAGS) pix-fb.c $(FBLIB) -o pix-fb

fb-pix: fb-pix.c
	$(CC) $(CFLAGS) fb-pix.c $(FBLIB) -o fb-pix

pix-interp: pix-interp.c
	$(CC) $(CFLAGS) pix-interp.c -o pix-interp

slurp: slurp.c
	$(CC) $(CFLAGS) slurp.c $(FBLIB) -o slurp

mov: mov.c
	$(CC) $(CFLAGS) mov.c $(FBLIB) -o mov

rock-mov: rock-mov.c
	$(CC) $(CFLAGS) rock-mov.c $(IKLIB) -o rock-mov

pixdiff: pixdiff.c
	$(CC) $(CFLAGS) pixdiff.c -o pixdiff

pix-ik:	pix-ik.c
	$(CC) pix-ik.c $(IKLIB) -o pix-ik

pix-ikr: pix-ikr.c
	$(CC) pix-ikr.c $(IKLIB) -o pix-ikr

pixt-ik: pixt-ik.c
	$(CC) pixt-ik.c $(IKLIB) -o pixt-ik

pix-filt-ik:	pix-filt-ik.c
	$(CC) pix-filt-ik.c $(IKLIB) -o pix-filt-ik

pix-lowp-ik:	pix-lowp-ik.c
	$(CC) pix-lowp-ik.c $(IKLIB) -o pix-lowp-ik

pix-both-ik:	pix-both-ik.c
	$(CC) pix-both-ik.c $(IKLIB) -o pix-both-ik

dunncolor:	dunncolor.c
	$(CC) dunncolor.c -o dunncolor

dunnsnap:	dunnsnap.c
	$(CC) dunnsnap.c -o dunnsnap

clobber: clean
	rm -f $(PRODUCT)

clean:
	rm -f core *.o *~

install:	$(PRODUCT)
	mv $(PRODUCT) $(INSTDIR)/.
	cp Makefile *.h *.c *.g ../dist/util/.
